ChangeSet 1.1500.8.12, 2004/02/02 13:44:11-08:00, dsaxena@plexity.net

[PATCH] USB: remove reference to usb_hcd.refcnt in ohci-sa111.c

Following patch against 2.6.2-rc2 removes a reference to what appears
to be a deprecated member of struct usb_hcd from the function
ohci-sa111.c:usb_hcd_sa1111_remove().


 drivers/usb/host/ohci-sa1111.c |    2 --
 1 files changed, 2 deletions(-)


diff -Nru a/drivers/usb/host/ohci-sa1111.c b/drivers/usb/host/ohci-sa1111.c
--- a/drivers/usb/host/ohci-sa1111.c	Mon Feb  9 14:40:48 2004
+++ b/drivers/usb/host/ohci-sa1111.c	Mon Feb  9 14:40:48 2004
@@ -254,8 +254,6 @@
 	hcd_buffer_destroy (hcd);
 
 	usb_deregister_bus (&hcd->self);
-	if (atomic_read (&hcd->self.refcnt) != 1)
-		err ("%s: %s, count != 1", __FUNCTION__, hcd->self.bus_name);
 
 	base = hcd->regs;
 	hcd->driver->hcd_free (hcd);
